Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkStructuredPointsWriter Class Reference

`#include <vtkStructuredPointsWriter.h>`

Inheritance diagram for vtkStructuredPointsWriter:

[legend]
Collaboration diagram for vtkStructuredPointsWriter:

[legend]
List of all members.

## Detailed Description

write vtk structured points data file

Date:
  2002/05/31 23:12:41

Revision:
  1.42

vtkStructuredPointsWriter is a source object that writes ASCII or binary structured points data in vtk file format. See text for format details.

Warning:
  Binary files written on one system may not be writable on other systems.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (60%)
  - Law, Charles (17%)
  - Martin, Ken (9%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkStructuredPointsWriter.h)`
  - .`cxx` (`/IO/vtkStructuredPointsWriter.cxx)`

Definition at line 48 of file vtkStructuredPointsWriter.h.

## Public Types
typedef vtkDataWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetInput (vtkImageData *input)
vtkImageData * | GetInput ()
## Static Public Methods
vtkStructuredPointsWriter * | New ()
int | IsTypeOf (const char *type)
vtkStructuredPointsWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkStructuredPointsWriter ()
| ~vtkStructuredPointsWriter ()
void | WriteData ()

## Member Typedef Documentation

typedef vtkDataWriter vtkStructuredPointsWriter::Superclass

| Reimplemented from vtkDataWriter. Definition at line 52 of file vtkStructuredPointsWriter.h.

## Constructor & Destructor Documentation

vtkStructuredPointsWriter::vtkStructuredPointsWriter | ( |  | ) | `[inline, protected]`

| Definition at line 62 of file vtkStructuredPointsWriter.h.

vtkStructuredPointsWriter::~vtkStructuredPointsWriter | ( |  | ) | `[inline, protected]`

| Definition at line 63 of file vtkStructuredPointsWriter.h.

## Member Function Documentation

vtkStructuredPointsWriter* vtkStructuredPointsWriter::New | ( |  | ) | `[static]`

| Created object with default header, ASCII format, and default names for scalars, vectors, tensors, normals, and texture coordinates. Reimplemented from vtkDataWriter.

virtual const char* vtkStructuredPointsWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataWriter.

int vtkStructuredPointsWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataWriter.

virtual int vtkStructuredPointsWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataWriter.

vtkStructuredPointsWriter* vtkStructuredPointsWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataWriter.

void vtkStructuredPointsWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataWriter.

void vtkStructuredPointsWriter::SetInput | ( | vtkImageData * | input | ) |

| Set / get the input data or filter.

vtkImageData* vtkStructuredPointsWriter::GetInput | ( |  | ) |

| Set / get the input data or filter. Reimplemented from vtkWriter.

void vtkStructuredPointsWriter::WriteData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkDataWriter.

The documentation for this class was generated from the following file:

- IO/vtkStructuredPointsWriter.h